forum

How to get osu! running with Mac OS High Sierra

posted
Total Posts
37
show more
VoidMage

MysticalAce wrote:

TheWerdna338 wrote:

This is how to get osu! running on mac OS high sierra if you want the stable release, NOT the latest release. Osu! will work but will be locked to the Stable (Fallback) release stream. This should be a guarentee for osu! to work on your mac (with OS high sierra), but if not let me know:

1. Download the 'Stable Release (2015-10-17)' from the osu download for mac website, http://osuosx.tumblr.com/

2. Once downloaded and placed into applications, right click on osu!, click on 'show package contents' and open winsekin.

3. In wineskin, click on 'set screen options' and make sure only the two top boxes are checked, 'Use mac driver instead of x11' and 'decorate windows'

4. Now go back to main winsekin window, click on 'advanced', then 'tools', then 'winetricks' and in the search bar, search 'video', click on 'settings' and check the box which says 'videomemorysixe=2048' and run this. (If you get an error when trying to run, then go back to 'tools' and click 'kill wineskin process')

5. Now click on 'test run' or just open up osu! normally, and it should work.
So, I tried this and it worked. Thank you for this :D :D :D. However, I did notice a problem with the framerate for some reason. It would occasionally have random lag spikes while playing a beatmap.

I found out all the settings in "Framelimiter" will lag you, except V-sync. I have no idea why this is. Im using a laptop too. It might be different on an actual desktop than a laptop lol
Hey, When I try updating, it says it updates, but then closes and tried again endlessly
Pybeats
I can't get past step 6.
Mic238
So first, thanks for using my work, always great to share.

The whole thing for dotnet40 is, winetrick included is an ancient version and needs manual update before install everything.

Osu only require dotnet40 not 45, and in wine this is a pain to install coz it always throws errors after successful install.

I've updated the package a few days ago to fix a few bugs and fix the icon problem (but cjkfont would be dead with this update

Pybeats wrote:

I can't get past step 6.
I've update the package and it should work without modifying (unless you have install security update 2018-001 which would take some effort to make it work
giatran

TheWerdna338 wrote:

This is how to get osu! running on mac OS high sierra if you want the stable release, NOT the latest release. Osu! will work but will be locked to the Stable (Fallback) release stream. This should be a guarentee for osu! to work on your mac (with OS high sierra), but if not let me know:

1. Download the 'Stable Release (2015-10-17)' from the osu download for mac website, http://osuosx.tumblr.com/

2. Once downloaded and placed into applications, right click on osu!, click on 'show package contents' and open winsekin.

3. In wineskin, click on 'set screen options' and make sure only the two top boxes are checked, 'Use mac driver instead of x11' and 'decorate windows'

4. Now go back to main winsekin window, click on 'advanced', then 'tools', then 'winetricks' and in the search bar, search 'video', click on 'settings' and check the box which says 'videomemorysixe=2048' and run this. (If you get an error when trying to run, then go back to 'tools' and click 'kill wineskin process')

5. Now click on 'test run' or just open up osu! normally, and it should work.
I followed these steps and osu! installed I think but now I get the error that osu! is "Unable to find a version of the runtime to run this application."
Demented Cloud
I am also getting the same problem as Pybeats but I don't understand what Mic238 said. Can someone help me?
Mic238

Demented Cloud wrote:

I am also getting the same problem as Pybeats but I don't understand what Mic238 said. Can someone help me?
If you read the instruction from my github page, you'll realise there's no need to make a new blank wrapper or etc. The download file is sufficient to run by itself.

I didn't use installation guide when I made the wrapper so I also have no idea what happened there. Moving an working app into a new wrapper doesn't make any sense for me either.
htsuki9

TheWerdna338 wrote:

I finally figured out a solution to this problem, but it is still likely not to work - it is worth a shot if you want the latest release of osu!

- Because the mac thinks that you have a higher version of the frmaework, it got me thinking to see what would happen if i tried to install a higher framework, so in winetricks (open wineskin in your wrapper, go to advanced, click 'winetricks') search 'dotnet45' and check the box which says this and run it.

- Once this has been run you should try to install the version framework 4 again (click on winsekin, install software, choose setup executable, then click on the dotnet40 file that had been installed)

- it should work this time around and will tell you to restart your mac, do this and when you run osu! again it might work

**This may not work and will probably give you you a configuration error when trying to run osu! But if it works please let me know**
This opens osu however osu kept on saying "your game client is being updated". Hope that helped for anyone wanting to try
Mic238

htsuki9 wrote:

TheWerdna338 wrote:

I finally figured out a solution to this problem, but it is still likely not to work - it is worth a shot if you want the latest release of osu!

- Because the mac thinks that you have a higher version of the frmaework, it got me thinking to see what would happen if i tried to install a higher framework, so in winetricks (open wineskin in your wrapper, go to advanced, click 'winetricks') search 'dotnet45' and check the box which says this and run it.

- Once this has been run you should try to install the version framework 4 again (click on winsekin, install software, choose setup executable, then click on the dotnet40 file that had been installed)

- it should work this time around and will tell you to restart your mac, do this and when you run osu! again it might work

**This may not work and will probably give you you a configuration error when trying to run osu! But if it works please let me know**
This opens osu however osu kept on saying "your game client is being updated". Hope that helped for anyone wanting to try
This is a well known issue and had been discussed for hundreds time if not thousands.
Solution: download discord-rpc.dll from somewhere and put in osu folder manually
DeMOrTy
where the advanced should be? :(
TBP197

DeMOrTy wrote:

where the advanced should be? :(
Same Problem tho. Running on High sierra. We got to the point were Osu! starts but havin a Problem with this Advanced thingy. Like there is no Option for it... Are we lookin in the wrong place? So using the "Osu! Wrapper" opens Osu! and opening Wineskin gives no such options like "Advanced"
_fluffyy
i get stuck on step 6. it says that "you either do not have permission to move, or there is already a folder with that name in the wrapper's program files folder".
Mic238

_fluffyy wrote:

i get stuck on step 6. it says that "you either do not have permission to move, or there is already a folder with that name in the wrapper's program files folder".
:sigh I don't know how many times I have to say, Read the document on GitHub and you'll find that it's a full game sufficient to run by itself, you wouldn't need to deal with wine wrapper unless you want to pain yourself.

PS. I'm the author of that GitHub page
Cyanther
System.IO.FileNotFoundException: Could not load file or assembly 'OpenTK, Version=1.1.0.0, Culture=neutral, PublicKeyToken=bad199fe84eb3df4' or one of its dependencies. File not found.
File name: 'OpenTK, Version=1.1.0.0, Culture=neutral, PublicKeyToken=bad199fe84eb3df4'
at #=qibMZeYummiN2qwRWGQ1Q1ScoBDABNqzxmMQgVkPQXlc=..ctor(Int32 #=qC4d2n$SvS_qXPCgztwJRbg==)
at #=qvW8DOpXDGxLiq_7cZptpCQ==.#=qVW8ZadGU2jFl8Rbnz$PMxA==(String #=qmMk2dfE8NSf9pDvCwLawBA==, Boolean #=qjGvb2n1ZiNzkSI$2IAQVzz7L2kUNu_1xoxjsfD5QYSs=, Boolean #=qu4AZfwNCk1Bhxz$J0qAn5g==)

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].
------------------------------------------------------------------------------------------

How to Fix This?
alicefrost_old
my mac os x is sierra. need help
WhyBotherXD
Hey, I need help, On step 3, you said 'create new blank wrapper' for me that option is unavailable. how else can i make a new blank wrapper or how can I resolve this issue?
Juriel
im on mac os x mojave 10.14.2 and everytime i move my mouse, my frames drop really low and the game is basically unplayable. my mouse is a logitech g203. i have a macbookair 2015. when i try and play with my trackpad my frames dont drop. can anyone help ?
DigitWolfs
ok ik i sound dumb but on step 9 i cant go back to the wineskin
FangedJester
So on step 12, when I run the Dotnet, the microsoft net thing opens up but then it stays there. Wineskin keeps saying it's busy and when i go into forcequit, wineskin is not responding.
itsoreoo
should this also work on mac mojave?
3nJ0i
has anyone else got a weird thing where the game is "up to date" but says "update" to upload ranked scores?
huyso17
Where is dotNetFx40.exe? I tick dotNet40, run it, open web, but can not see dotnetFx40.exe . Pls help me fix or gimme location of it.
Please sign in to reply.

New reply